//==========================================================================
// DirectXライブラリ[dxlib.h]
// author: tatuya ogawa
//==========================================================================
#ifndef _dxlib_h_
#define _dxlib_h_

//==========================================================================
// include
//==========================================================================
#include <Windows.h>
#include <direct.h>
#include <math.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <d3d9.h>
#include <d3dx9.h>
#include <vector> // Vector型リスト構造
#include <list> // リスト構造
#include <iostream>
#include <iomanip>
#include <direct.h>

#include <random> // 乱数生成
//std::random_device rnd;
//std::uniform_real_distribution<float> Set(-50.0f, 50.0f);

#include <XAudio2.h>
#define DIRECTINPUT_VERSION (0x0800) // DirectInputのバージョン指定
#include <dinput.h>
#include <tchar.h>

//==========================================================================
// 独自lib include
//==========================================================================

//==========================================================================
// 継承用include
//==========================================================================
#include "Lib\Template.h"
//#include "Lib\ExcelOpen.h"
//#include "Lib\Rectangle.h"
#include "Lib\SetSampler.h"
//#include "Lib\Create.h"
//#include "Lib\SetRender.h"
//#include "Lib\Vertex3D.h"

//==========================================================================
// データ型include
//==========================================================================
#include "Lib\DataType.h"
#include "Lib\Object.h"

//==========================================================================
// デバイスinclude
//==========================================================================
#include "Lib\input.h"
#include "Lib\mouse.h"
#include "Lib\controller.h"
#include "Lib\sound.h"
#include "Lib\DXDevice.h"

//==========================================================================
// 文字列include
//==========================================================================
#include "Lib\text.h"

//==========================================================================
// テクスチャ管理機能
//==========================================================================
//#include "Lib\TextureLoader.h"

//==========================================================================
// デバッグinclude
//==========================================================================
#include "Lib\DXDebug.h"

//==========================================================================
// ヘルパークラスinclude
//==========================================================================
#include "Lib\HitDetermination.h"
#include "Lib\Timer.h"
#include "Lib\Number.h"

//==========================================================================
// 座標クラスinclude
//==========================================================================
#include "Lib\2DObject.h"
#include "Lib\3DObject.h"

//==========================================================================
// 2D描画include
//==========================================================================
#include "Lib\2DPolygon.h"

//==========================================================================
// 3D描画include
//==========================================================================
#include "Lib\Billboard.h"
#include "Lib\Cube.h"
#include "Lib\Mesh.h"
#include "Lib\Shadow.h"
#include "Lib\Sphere.h"
#include "Lib\Model.h"

//==========================================================================
// グリッドinclude
//==========================================================================
#include "Lib\Grid.h"

//==========================================================================
// ライトinclude
//==========================================================================
#include "Lib\Light.h"

//==========================================================================
// カメラinclude
//==========================================================================
#include "Lib\Camera.h"

//==========================================================================
// OpenGL
//==========================================================================
#include "Lib\ImGui_Dx9.h"

#endif // !_dxlib_h_
